%define _disable_ld_no_undefined 1

%define lib_name_orig libntfs
%define major 10
%define libname %mklibname ntfs %{major}
%define develname %mklibname ntfs -d

Summary:	NTFS filesystem libraries and utilities
Name:		ntfsprogs
Version:	2.0.0
Release:	%mkrel 3
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.linux-ntfs.org/
Source0:	http://prdownloads.sourceforge.net/linux-ntfs/%{name}-%{version}.tar.bz2
Patch0:		ntfsprogs-linkage_fix.diff
Patch1:		ntfsprogs-1.9.1-display-min-size-in-KiB.patch
Patch2:		ntfsprogs-2.0.0-fix-str-fmt.patch
BuildRequires:	libuuid-devel
BuildRequires:	fuse-devel
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel >= 1.4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Linux-NTFS project aims to bring full support for the NTFS filesystem to
the Linux operating system. Linux-NTFS currently consists of a static library
and utilities. This package contains the following utilities:

ntfscat: concatenate files and print them on the standard output

ntfsclone: efficiently clone an NTFS filesystem

ntfscluster: identify files in a specified region of an NTFS volume

mkntfs: format a partition with the NTFS filesystem

ntfsfix: tool for fixing NTFS partitions altered by the Linux kernel NTFS
         driver

ntfsinfo: dump a file's attributes

ntfslabel: display/change the label on an ntfs file system

ntfsls: list directory contents on an NTFS file system

ntfsresize: resize an NTFS filesystem

ntfsundelete: recover a deleted file from an NTFS volume

%package -n	%{libname}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{develname}
Summary:	Header files and libraries for developing apps which will use %{lib_name_orig}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Conflicts:	%{mklibname ntfs 5}-devel
Obsoletes:	%{mklibname ntfs 10}-devel

%description -n	%{develname}
The %{lib_name_orig}-devel package contains the header files and libraries
needed to develop programs that use the %{lib_name_orig}

Install the %{lib_name_orig}-devel package if you want to develop applications
that will use the %{lib_name_orig} library.

%package	gnomevfs
Summary:	NTFS GNOME virtual filesystem module
Group:		System/Libraries
Requires:	ntfsprogs = %{version}-%{release}
BuildRequires:	glib2-devel
BuildRequires:	gnome-vfs2-devel
Requires:	glib2
Requires:	gnome-vfs2
Conflicts:	ntfsprogs < 1.11.0-3mdk

%description	gnomevfs
This package contains the NTFS GNOME virtual filesystem (VFS) module which
allows GNOME VFS clients to seamlessly utilize the NTFS library.

%prep

%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL NEWS README TODO.include
%doc doc/attribute_definitions doc/attributes.txt doc/compression.txt
%doc doc/system_files.txt doc/system_security_descriptors.txt doc/template.c
%doc doc/template.h doc/tunable_settings 
%{_bindir}/*
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*
%exclude %{_mandir}/man8/libntfs-gnomevfs.8*

%files gnomevfs
%defattr(-,root,root)
%{_mandir}/man8/libntfs-gnomevfs.8*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*so*
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/libntfs.conf

%files -n %{libname}
%defattr(-,root,root)
%doc CREDITS
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/CodingStyle
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*a*


%changelog
* Mon May 01 2017 ghostbunny <ghostbunny at gmx dot de> 2.0.0-3pclos2017
- rebuild against new libgcrypt

* Wed Jan 13 2010 Texstar <texstar at gmail.com> 2.0.0-2pclos2010
- rebuild for 2010

